Bug 13797 - Screaming Media basic implementation
Screaming Media basic implementation
Status: CLOSED WONTFIX
Product: Red Hat Web Site
Classification: Red Hat
Component: WideOpen (Show other bugs)
current
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lancaster
Paul Lindner
http://intranet.redhat.com/~scoile/wo...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-12 10:43 EDT by Steve Coile
Modified: 2007-04-18 12:27 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-17 13:21:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steve Coile 2000-07-12 10:43:36 EDT
I spoke with Evalynna on 7/11/00 about using Screaming Media (SM) as a
content provider for WON.  We need to examine the technical issues involved
with a bare-bones basic implementation of SM's content delivery system as a
complete replacement for the current WON.  Once we've replaced the current
WON, we can look at implementing some of the other features I'd like to see
in WON.

My contact with SM is Kenneth LaFreniere <KenL@screamingmedia.com>,
212-691-7900. 

My understanding of the SM content delivery system is that there would be a
Java-based component running on our end that (a) provides an interface for
us to select and to some degree manage the content; and (b) communicates
with the SM servers to retreive the selected content and deliver it into
our Web system.  The SM system can provide the content in three formats
(plain text, HTML, XML) and has some database connectivity and the ability
to inject the content directly into a database (Oracle is supported).

Content would be hosted on Red Hat servers, *NOT* on SM servers (unlike
HeadlineWatch.com, which hosts everything on their own servers). 
Obviously, that means some engineering work to get this system in place. 
It's with the understanding the Web engineering is overloaded that I'm
requesting only a bare-bones implementation of SM at this time.

My vision for WON is described in the overview document identified by the
attached URL.  Of significance at this point is that we will still need a
WON content management system *IN THE FUTURE*, even on top of the content
management system provided by SM, in order to add the value that will
distinguish WON content from its competitors.  Also, as WON is also a
source of business intelligence for Red Hat, we'll need to have channels to
both the public Web site and the internal intranet.  This may affect the
placement of the SM and WON content managers.

At this point, we only need to look at the issues involved with replacing
WON with SM.  This is not a request to replace or change anything.
Comment 1 Paul Lindner 2000-07-17 13:21:21 EDT
I spoke with SM on friday, and answered their questions.

I agree, we need to keep the current WON content manager.

I suggest that we use the SM engine to write out XML formatted docs and import
them (automatically?) into wideopen.  The only limitation I see is the ability
to select related stories
for a particular item, and controlling the placement on the home page..

Let's use this bug to track this project.

  -- move this to RAWHIDE once we enter beta
  -- move this to CURRENTVERSION once it's launched.

thanks.

Note You need to log in before you can comment on or make changes to this bug.